Library Version 18.1.40

DB->get_ext_file_threshold()
Prev | Chapter 13. External Files | Next

## DB->get_ext_file_threshold()

    #include <db.h>

    int
    DB->get_ext_file_threshold(DB *db, u_int32_t *bytes);

The `DB->get_ext_file_threshold()` method returns the threshold value, in bytes, beyond which data items are stored as external files. This value can be set using DB->set_ext_file_threshold() . A value of `0` indicates that external files are not in use for this database.

The `DB->get_ext_file_threshold()` method always returns `0` to indicate success.

### Parameters

#### bytes

References memory into which is copied the external file threshold value.

### Class

DB

### See Also

External Files and Related Methods

Prev | Up | Next
DB->get_ext_file_dir() | Home | DB->set_ext_file_dir()